## capstats 0.21

=== debian/changelog ===
capstats (0.21-1) unstable; urgency=low

  * Initial release (Closes: #771144)

 -- Raúl Benencia <rul@kalgan.cc>  Tue, 09 Dec 2014 15:04:32 -0300

## capstats 0.22

=== CMakeLists.txt ===
project(capstats C CXX)
cmake_minimum_required(VERSION 2.6.3 FATAL_ERROR)
include(cmake/CommonCMakeConfig.cmake)

file(STRINGS "${CMAKE_CURRENT_SOURCE_DIR}/VERSION" VERSION LIMIT_COUNT 1)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/version.cc.in
               ${CMAKE_CURRENT_BINARY_DIR}/version.cc)

########################################################################
## Dependency Configuration

include(FindRequiredPackage)
FindRequiredPackage(PCAP)

if (MISSING_PREREQS)
    foreach (prereq ${MISSING_PREREQ_DESCS})
        message(SEND_ERROR ${prereq})
    endforeach ()
    message(FATAL_ERROR "Configuration aborted due to missing prerequisites")
endif ()

include_directories(BEFORE
                    ${PCAP_INCLUDE_DIR}
)

########################################################################
## System Introspection

if (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    set(HAVE_LINUX true)
endif ()

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.in
               ${CMAKE_CURRENT_BINARY_DIR}/config.h)
include_directories(BEFORE ${CMAKE_CURRENT_BINARY_DIR})

########################################################################
## Build Summary

if (CMAKE_BUILD_TYPE)
    string(TOUPPER ${CMAKE_BUILD_TYPE} BuildType)
endif ()

message(
    "\n=================|  capstats Build Summary  |==================="
    "\n"
    "\nInstall prefix:    ${CMAKE_INSTALL_PREFIX}"
    "\nDebug mode:        ${ENABLE_DEBUG}"
    "\n"
    "\nCXX:               ${CMAKE_CXX_COMPILER}"
    "\nCXXFLAGS:          ${CMAKE_CXX_FLAGS} ${CMAKE_CXX_FLAGS_${BuildType}}"
    "\nCPP:               ${CMAKE_CXX_COMPILER}"
    "\n"
    "\n================================================================\n"
)

########################################################################
## capstats target

add_executable(capstats
               capstats.cc
               ${CMAKE_CURRENT_BINARY_DIR}/version.cc)

target_link_libraries(capstats ${PCAP_LIBRARY})

install(TARGETS capstats DESTINATION bin)

include(UserChangedWarning)

=== Makefile ===
#
# A simple static wrapper for a number of standard Makefile targets,
# mostly just forwarding to build/Makefile. This is provided only for
# convenience and supports only a subset of what CMake's Makefile
# to offer. For more, execute that one directly. 
#

BUILD=build
REPO=`basename \`git config --get remote.origin.url | sed 's/^[^:]*://g'\``
VERSION_FULL=$(REPO)-`cat VERSION`
VERSION_MIN=$(REPO)-`cat VERSION`-minimal
HAVE_MODULES=git submodule | grep -v cmake >/dev/null

all: configured
	$(MAKE) -C $(BUILD) $@

install: configured
	$(MAKE) -C $(BUILD) $@

clean: configured
	$(MAKE) -C $(BUILD) $@

dist:
	@rm -rf $(VERSION_FULL) $(VERSION_FULL).tgz
	@rm -rf $(VERSION_MIN) $(VERSION_MIN).tgz
	@git clone --recursive . $(VERSION_FULL) >/dev/null 2>&1
	@find $(VERSION_FULL) -name .git\* | xargs rm -rf
	@tar -czf $(VERSION_FULL).tgz $(VERSION_FULL) && echo Package: $(VERSION_FULL).tgz && rm -rf $(VERSION_FULL)
	@$(HAVE_MODULES) && git clone . $(VERSION_MIN) >/dev/null 2>&1 || exit 0
	@$(HAVE_MODULES) && (cd $(VERSION_MIN) && git submodule update --init cmake >/dev/null 2>&1) || exit 0
	@$(HAVE_MODULES) && find $(VERSION_MIN) -name .git\* | xargs rm -rf || exit 0
	@$(HAVE_MODULES) && tar -czf $(VERSION_MIN).tgz $(VERSION_MIN) && echo Package: $(VERSION_MIN).tgz && rm -rf $(VERSION_MIN) || exit 0

distclean:
	rm -rf $(BUILD)

docs: README
	rst2html.py README >README.html

.PHONY : configured
configured:
	@test -d $(BUILD) || ( echo "Error: No build/ directory found. Did you run configure?" && exit 1 )
	@test -e $(BUILD)/Makefile || ( echo "Error: No build/Makefile found. Did you run configure?" && exit 1 )

=== debian/changelog ===
capstats (0.22-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:11:02 +0100

capstats (0.22-2) unstable; urgency=medium

  * Drop unneeded dh --parallel parameter
  * Bump Debhelper compat level
  * Update Vcs-* headers after migration to salsa.debian.org
  * Bump Standards-Version

 -- Hilko Bengen <bengen@debian.org>  Wed, 26 Dec 2018 16:47:31 +0100

capstats (0.22-1) unstable; urgency=medium

  * New upstream version

 -- Hilko Bengen <bengen@debian.org>  Sat, 30 May 2015 21:03:06 +0200

=== debian/control ===
Source: capstats
Section: net
Priority: optional
Maintainer: Raúl Benencia <rul@kalgan.cc>
Uploaders: Hilko Bengen <bengen@debian.org>
Build-Depends: cmake, debhelper (>= 11), libpcap0.8-dev | libpcap-dev
Standards-Version: 4.3.0
Homepage: https://www.bro.org/sphinx/components/capstats/README.html
Vcs-Git: https://salsa.debian.org/bro-team/capstats.git
Vcs-Browser: https://salsa.debian.org/bro-team/capstats

Package: capstats
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: command-line tool for collecting network interface statistics
 capstats is a small tool for collecting statistics on the current load of
 a network interface, using either libpcap or the native interface for
 Endace’s. It reports statistics per time interval and/or for the tool’s
 total run-time.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ --buildsystem=cmake --builddir=build

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) -DBINARY_PACKAGING_MODE=true

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
    https://www.bro.org/downloads/release/ capstats-(\d.*)\.tar\.gz

## capstats 0.28

=== debian/changelog ===
capstats (0.28-2) unstable; urgency=medium

  * Replace Raúl Benencia with myself as Maintainer, per his request
  * Clean up changelog

 -- Hilko Bengen <bengen@debian.org>  Sun, 31 May 2020 23:16:29 +0200

capstats (0.28-1) unstable; urgency=medium

  * New upstream version 0.28
  * Update watch file
  * Bump Debhelper version, update URLs

 -- Hilko Bengen <bengen@debian.org>  Sun, 31 May 2020 22:48:34 +0200

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,11 @@
 include /usr/share/dpkg/default.mk
 
 %:
+<<<<<<< HEAD
 	dh $@ --buildsystem=cmake --builddir=build
+=======
+	dh $@ --buildsystem=cmake
+>>>>>>> debian/0.28-1
 
 override_dh_auto_configure:
 	dh_auto_configure -- \

## capstats 0.29

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
+cmake_minimum_required(VERSION 2.6.3 FATAL_ERROR)
 project(capstats C CXX)
-cmake_minimum_required(VERSION 2.6.3 FATAL_ERROR)
 include(cmake/CommonCMakeConfig.cmake)
 
 file(STRINGS "${CMAKE_CURRENT_SOURCE_DIR}/VERSION" VERSION LIMIT_COUNT 1)

=== debian/changelog ===
capstats (0.29-1) unstable; urgency=medium

  * New upstream version 0.29

 -- Hilko Bengen <bengen@debian.org>  Tue, 04 Aug 2020 13:04:06 +0200

capstats (0.28-3) unstable; urgency=medium

  * Remove git merge artifacts from debian/rules (Closes: #963441)

 -- Hilko Bengen <bengen@debian.org>  Mon, 22 Jun 2020 22:42:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: capstats
 Section: net
 Priority: optional
-Maintainer: Raúl Benencia <rul@kalgan.cc>
-Uploaders: Hilko Bengen <bengen@debian.org>
-Build-Depends: cmake, debhelper (>= 11), libpcap0.8-dev | libpcap-dev
-Standards-Version: 4.3.0
-Homepage: https://www.bro.org/sphinx/components/capstats/README.html
+Maintainer: Hilko Bengen <bengen@debian.org>
+Build-Depends: debhelper-compat (= 12), cmake, libpcap0.8-dev | libpcap-dev
+Standards-Version: 4.5.0
+Homepage: https://www.zeek.org
 Vcs-Git: https://salsa.debian.org/bro-team/capstats.git
 Vcs-Browser: https://salsa.debian.org/bro-team/capstats

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
    https://download.zeek.org capstats-(\d.*)\.tar\.gz

## capstats 0.30

=== Makefile ===
#
# A simple static wrapper for a number of standard Makefile targets,
# mostly just forwarding to build/Makefile. This is provided only for
# convenience and supports only a subset of what CMake's Makefile
# to offer. For more, execute that one directly. 
#

BUILD=build
REPO=$$(cd $(CURDIR) && basename $$(git config --get remote.origin.url | sed 's/^[^:]*://g'))
VERSION_FULL=$(REPO)-$$(cd $(CURDIR) && cat VERSION)
VERSION_MIN=$(REPO)-$$(cd $(CURDIR) && cat VERSION)-minimal
GITDIR=$$(test -f .git && echo $$(cut -d" " -f2 .git) || echo .git)

all: configured
	$(MAKE) -C $(BUILD) $@

install: configured
	$(MAKE) -C $(BUILD) $@

clean: configured
	$(MAKE) -C $(BUILD) $@

dist:
	@test -e ../$(VERSION_FULL) && rm -ri ../$(VERSION_FULL) || true
	@cp -R . ../$(VERSION_FULL)
	@for i in . $$(git submodule foreach -q --recursive realpath --relative-to=$$(pwd) .); do ((cd ../$(VERSION_FULL)/$$i && test -f .git && cp -R $(GITDIR) .gitnew && rm -f .git && mv .gitnew .git && sed -i.bak -e 's#[[:space:]]*worktree[[:space:]]*=[[:space:]]*.*##g' .git/config) || true); done
	@for i in . $$(git submodule foreach -q --recursive realpath --relative-to=$$(pwd) .); do (cd ../$(VERSION_FULL)/$$i && git reset -q --hard && git clean -ffdxq); done
	@(cd ../$(VERSION_FULL) && find . -name \.git\* | xargs rm -rf)
	@mv ../$(VERSION_FULL) .
	@tar -czf $(VERSION_FULL).tar.gz $(VERSION_FULL)
	@echo Package: $(VERSION_FULL).tar.gz
	@rm -rf $(VERSION_FULL)

distclean:
	rm -rf $(BUILD)

docs: README
	rst2html.py README >README.html

.PHONY : configured
configured:
	@test -d $(BUILD) || ( echo "Error: No build/ directory found. Did you run configure?" && exit 1 )
	@test -e $(BUILD)/Makefile || ( echo "Error: No build/Makefile found. Did you run configure?" && exit 1 )

=== debian/changelog ===
capstats (0.30-1) unstable; urgency=medium

  * New upstream version 0.30
  * Bump Debhelper compat level, Standards-Version

 -- Hilko Bengen <bengen@debian.org>  Tue, 28 Dec 2021 02:12:23 +0100

## capstats 0.31

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.6.3 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.5 FATAL_ERROR)
 project(capstats C CXX)
 include(cmake/CommonCMakeConfig.cmake)

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # A simple static wrapper for a number of standard Makefile targets,
 # mostly just forwarding to build/Makefile. This is provided only for
 # convenience and supports only a subset of what CMake's Makefile
-# to offer. For more, execute that one directly. 
+# to offer. For more, execute that one directly.
 #
 
 BUILD=build
@@ -20,14 +20,20 @@
 clean: configured
 	$(MAKE) -C $(BUILD) $@
 
+# The COPYFILE_DISABLE flag used in the tar command below is an undocumented feature
+# of the tar binary on macOS. It causes tar to avoid including any of the special files
+# that macOS litters around the repository directory, such as ._ resource files, none
+# of which should be included in the distribution packages.
 dist:
 	@test -e ../$(VERSION_FULL) && rm -ri ../$(VERSION_FULL) || true
 	@cp -R . ../$(VERSION_FULL)
 	@for i in . $$(git submodule foreach -q --recursive realpath --relative-to=$$(pwd) .); do ((cd ../$(VERSION_FULL)/$$i && test -f .git && cp -R $(GITDIR) .gitnew && rm -f .git && mv .gitnew .git && sed -i.bak -e 's#[[:space:]]*worktree[[:space:]]*=[[:space:]]*.*##g' .git/config) || true); done
 	@for i in . $$(git submodule foreach -q --recursive realpath --relative-to=$$(pwd) .); do (cd ../$(VERSION_FULL)/$$i && git reset -q --hard && git clean -ffdxq); done
 	@(cd ../$(VERSION_FULL) && find . -name \.git\* | xargs rm -rf)
+	@(cd ../$(VERSION_FULL) && find . -name \.idea -type d | xargs rm -rf)
+	@(cd ../$(VERSION_FULL) && find . -name build\* -type d | xargs rm -rf)
 	@mv ../$(VERSION_FULL) .
-	@tar -czf $(VERSION_FULL).tar.gz $(VERSION_FULL)
+	@COPYFILE_DISABLE=true tar -czf $(VERSION_FULL).tar.gz $(VERSION_FULL)
 	@echo Package: $(VERSION_FULL).tar.gz
 	@rm -rf $(VERSION_FULL)

=== debian/changelog ===
capstats (0.31-1) unstable; urgency=medium

  * New upstream version 0.31

 -- Hilko Bengen <bengen@debian.org>  Tue, 06 Dec 2022 19:18:45 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: net
 Priority: optional
 Maintainer: Hilko Bengen <bengen@debian.org>
-Build-Depends: debhelper-compat (= 12), cmake, libpcap0.8-dev | libpcap-dev
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13), cmake, libpcap0.8-dev | libpcap-dev
+Standards-Version: 4.6.0
 Homepage: https://www.zeek.org
 Vcs-Git: https://salsa.debian.org/bro-team/capstats.git
 Vcs-Browser: https://salsa.debian.org/bro-team/capstats

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) -DBINARY_PACKAGING_MODE=true
